---
Author: Mike Schmitz
Tags: themes, setup
---

The appearance of  the interface Obsidian is controllable by CSS, but fortunately you don't need to be a web developer in order to customize the look and feel of Obsidian using *Community Themes*. In this post, we'll walk you through how to install and use a new theme in Obsidian. 

Obsidian ships with a default theme that actually looks pretty good, especially if you already like the look of dark mode on your Mac. But if you want to change the appearance using custom themes, it is very easy to do that. First, click on the Gear icon in the left sidebar to access the Settings:

![](https://thesweetsetup.com/wp-content/uploads/2021/06/theme1.jpg)

From there, click on the *Appearance* tab. This will let you change quite a few things about the look and feel of Obsidian, including the selected theme.

![](https://thesweetsetup.com/wp-content/uploads/2021/06/theme2.jpg)

Right now we're looking at the base theme, which as I mentioned is a dark theme. But there's also a light version available, so if you don't like this dark theme, you can just select *Light* from the *Base Theme* section. Here's what the light theme would looks like:

![](https://thesweetsetup.com/wp-content/uploads/2021/06/theme3.jpg)

But in addition to the built in light and dark themes, there are a bunch of community themes you can use to customize the look and feel of Obsidian.

To use a community theme, go back to the *Appearance* section of *Settings*, scroll down a little bit, and click *Browse* for community themes in the *Themes* section. 

![](https://thesweetsetup.com/wp-content/uploads/2021/06/theme4.jpg)

This opens a gallery of community themes that you can filter by name or by theme type (i.e. show only dark themes). Clicking on a screenshot for a theme will give you a closer look, but you can also preview the theme and when you're ready to install click *Use* to apply the theme to your Obsidian app. 

![](https://thesweetsetup.com/wp-content/uploads/2021/06/theme5.jpg)

That;s all you need to do. The theme gets applied instantly and the Obsidian is reloaded based on the included CSS. For example, here's what the California Coast theme looks like:

![](https://thesweetsetup.com/wp-content/uploads/2021/06/theme6.jpg)

You can even install multiple themes and switch between them from the Settings using the dropdown menu under *Settings --> Appearance --> Themes*.

![](https://thesweetsetup.com/wp-content/uploads/2021/06/theme7.jpg)

Just select an option from one of your installed themes and the theme changes instantly, giving you a quick way to switch themes and and make your Obsidian interface your own.