---
Author: Mike Schmitz
Tags: hotkeys, kanban, productivity
---

Obsidian is great for Mac nerds like me who like to do everything from their keyboard. In this article, we'll show you how to access commands via the *Command Palette* and set custom hotkeys for triggering commands using keyboard shortcuts.

## The Command Palette

There are a lot of commands that are available to you via the *Command Palette*, which is sort of like macOS Spotlight for Obsidian. But you do need to make sure that it's enabled before you can use it. 

To enable the Command Palette, click on the *Settings* button in the left sidebar.

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys1.jpg)

Next, go to **Core Plugins** and make sure that the **Command Palette** core plugin is toggled on. 

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys2.jpg)

Once it's enabled, you can use the keyboard shortcut `Command-P` to access the Command Palette from any note. From here, you can see all of the commands that are available. So for example, if you want to get the Obsidian URL for a note (great for linking notes to tasks in your task manager), then select **Copy Obsidian URL**. 

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys3.jpg)

Hit *Enter* to execute the command and the URL will be copied to your clipboard. You may also see a notification in the upper-right confirming the action.

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys4.jpg)

You may also notice that some of the commands in the Command Palette have the plugin name before them. For example, the commands added by the [Kanban plugin](https://github.com/mgmeyers/obsidian-kanban) will have `Kanban:` before the command name.

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys5.jpg)

Typing a plugin name like this in the Command Palette after installing and enabling it is a great way to discover what it can do. 

## Keyboard Hotkeys

You can also see the hotkeys (keyboard shortcuts) associated with a command in the Command Palette. For example, if you toggle on the *Daily Notes* core plugin and look for the command options for daily notes in the Command Palette, you'll see a command to open today's daily note as well as the keyboard shortcut associated with that command (`Command-Control-Option-Up arrow`). 

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys6.jpg)

With this command highlighted, hitting *Enter* does the exact same thing as using that keyboard shortcut. You can also customize those hotkeys by going to **Settings &rarr; Hotkeys**. 

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys7.jpg)

This gives you a list of all the commands available in Obsidian, and you can customize any hotkey you want by clicking the box on the right and typing the desired keyboard shortcut. So if you go to your *Daily Notes* section, you can set a keyboard shortcut for opening the next Daily Note and the previous Daily Note. Let's set these to `Command-Control-Option-Right arrow` and `Command-Control-Option-Left arrow` respectively.

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys8.jpg)

Now when viewing a Daily Note you can use these keyboard shortcuts to cycle forward and backward by date. 

## Bonus: Assigning Mouse Buttons

I've actually taken this even further though, and I've programmed those specific keyboard shortcuts to specific buttons on my mouse (which is a Logitech MX Master 3). With this mouse, I can program specific buttons for specific apps with the Logitech Options software. 

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys9.jpg)

You can create global shortcuts or app-specific shortcuts. So if I go to *Obsidian*, I can now program my *Next/Previous Daily Note* shortcuts to specific mouse buttons like so:

![](https://thesweetsetup.com/wp-content/uploads/2021/06/hotkeys10.jpg)

And now when I'm in Obsidian, I can navigate back and forth in my Daily Notes using only those side buttons on my mouse.