---
Author: Nick Milo
Tags: mindfulness, pkm
---

*In this [**Mindfulness Monday**](https://thesweetsetup.com/category/mindfulness/) post, Nick Milo of [Linking Your Thinking](linkingyourthinking.com)* joins us to talk about note-making, idea emergence, the hold of the screen, and breaking free of rigid systems

## Meet Nick Milo

Nick Milo is the creator of the Linking Your Thinking [YouTube Channel](https://www.youtube.com/channel/UC85D7ERwhke7wVqskV_DZUA), where he makes a lot of helpful videos about using Obsidian as a thinking tool and Personal Knowledge Management in general . He also hosts a phenomenal [community-driven workshop](https://www.linkingyourthinking.com/) where he helps people craft their own custom PKM system.

![](https://thesweetsetup.com/wp-content/uploads/2021/07/nickmilo.jpg)

I first discovered Nick when I went through the workshop myself, and it was the first time that Obsidian really clicked for me. His explanation of idea emergence in particular was a big help as I was trying to wrap my head around how I was going to use Obsidian. 

Over the last several months as [I've gotten to know Nick](https://www.relay.fm/focused/122), I've continually been impressed with his perspective on idea development. I've learned a lot from him about knowledge management, and am thrilled that he agreed to share about his own mindful approach to technology use.

###### What sort of boundaries or intentional constraints (i.e. rules) have you set up around how you use your technology?  

In an age where The Screen dominates, it's easier than ever to live in a perpetual state of distraction. That won't surprise this audience. In the age "Before Screen" (BS), our default was to walk around, to daydream, and to talk with people. Now, After Screen (AS), the default is to fall from one distraction to the next. So we have to define our own intentional constraints if we want to get the best out of The Screen, without falling into it.  

My constraints take the form of whispers in the back of my mind that say things like:   

- Just because you can, doesn't mean you should.  
- How are you being manipulated right now?  
- What is your environment doing to you right now?  
  
That does two things: it makes me aware, and gets me peeved. I think getting peeved is a good thing in this context because it gives me enough of a kick in the butt to break The Screen's powerful hold over me.  
  
###### What does your phone home screen look like? How has the application of your intentional constraints shaped what shows up here?  

![](https://thesweetsetup.com/wp-content/uploads/2021/07/nickmiloiphone.jpg)

Nothing special here. I try not to use my phone much. Honestly, it kinda *feels* wrong...hunching over, working inefficiently when I have a keyboard and mouse nearby. I mainly browse with Firefox, check email with Gmail, sometimes check the chats, watch Youtube vids at night, and now also jump into the Obsidian app at night. So my main constraint is just not using it.  
  
###### As you apply intentionality to your use of technology, what are some examples of what you consider to be net positive technology uses?  

Without a doubt, note-making in Obsidian is my favorite net positive technology use.   
  
Plainly speaking, that means I type out things that mean something to me in a bunch of different notes and make links between those notes, which leads me to re-write (refactor) those same notes into something that some people might call some form of wisdom.   
  
I think this is the most valuable use of technology for about a million reasons, but I'll only pick three for now: note-making helps you create "value" in the world, it forces you to do critical and creative thinking, and it coaxes you into a state of Flow.   
  
###### What was your tipping point — the moment when you decided you needed to do something about your technology defaults?  

Growing up in Montana, it was easy to *not* get lost in technology because it was too easy to get lost in Nature. So moving to NYC was a radical break from that. The streets were littered with people walking with their heads down buried in their phones. It felt like some alternative reality.   
  
I tried it. It tried to look at my phone while walking, but I would immediately notice my levels of anxiety start to creep upward. When I put my phone back in my pocket, my intuitive anxiety meter would go back down to natural levels.  
  
Why was everybody else seemingly not concerned about this?!  
  
The tipping point was at the HBO offices where I used to work, specifically in the fitness center where this guy spent an hour every day on the elliptical treadmill with his back hunched and neck cranked to the extreme just so he could stare at his phone. That guy thought he was getting healthier but I just saw his body getting sicker and more contorted over time.  
  
Years later and it still angers me, even though I don't really know what I'm even mad at! I just know that I have taken a personal vow to never become like that guy on the treadmill.  
  
###### As you’ve changed your technology habits, what are some of the things you’ve had to learn to work around or live without?  

I've had to allow myself the freedom to stop trying to track and manage every tiny task and project. My efforts always led to an entire breakdown in the system, where I would abandon the system and feel bad about it. But what if I wasn't the problem?   
  
What if the problem was believing some rigid digital system—that required high-maintenance —was ever going to be a good solution in the first place? It wasn't. It was always bound to fail (at least for me).   
  
Plus, it cut me off from using my intuition and instincts to rapidly adjust to new information. Rigid systems to manage yourself fall apart under new stressors. So now I don't have an actual project management system; I don't use any special software to manage projects, and I'm getting a tremendous amount of stuff done. It's counter-intuitive maybe, but it's very liberating.  
  
###### What app (or service) has the strongest pull towards getting you to go back to the way things were? And how do you deal with it?  

Discord or Twitter and even YouTube at times. I don't know how I deal with it really. I guess there comes a point where it starts to feel bad. Then, if my energy levels are normal, I'll just stop doing it. If my energy levels are so low and my distractability is high, then I'll re-prompt myself with those questions from the top: "how are you being manipulated right now?" Then I get peeved enough to get up and change my environment ASAP.  
  
###### How has implementing boundaries or intentional constraints positively impacted your life?  

One of the best things I ever did with my relationship to knowledge was defining it.   
  
There is an exponentially growing amount of information available to each of us. That used to fill me with dread because I thought I would always feel inadequate in my knowledge. But then the opposite happened. Instead of worrying about the Noise, I focused on my Signal: the things that really resonated with me.   
  
Defining what the Signal was for me made it okay to stop worrying about the Noise.  
  
###### How has your approach to Personal Knowledge Management (PKM) influenced your intentional technology use?  

It's taken me out of the rat race. I'm no longer addicted to shiny new apps "just because". I'm now constantly a version behind every new Mac OS release. I don't care that Apple gave one of their apps some silly shiny feature that I'll use once and then never use again. I don't care about the shiny stuff because I care so deeply about my signal. And when you have a clear signal, all that noise is no longer enticing —it's annoying.  
  
And then—and this is getting philosophical—once you get out of the Noise and hone in on your Signal...you recognize "Knowledge" isn't static and it's not meant to just be consumed. Instead, you can interact with it, develop your opinions about it, and make personally meaningful insights around it. What a soul-nourishing endeavor that is!  
  
###### What are the apps/devices that use to manage the different areas of your PKM system?  

My main apps: Obsidian, Firefox, Gmail, Fantastical, Drafts, and Dropbox.  
  
###### Do you have any guidelines/rules for what comes on or goes out of your PKM system?  

Yes. I practice what I call "Radical Idea Emergence." Basically, if I forget something, that means it wasn't important enough to remember. But if I keep re-remembering something, then I recognize its importance and I externalize it in my PKM system (digitally write it down) so I can better think and build with it. I could go on, but in short: I don't over-collect because I have faith that the good ideas find a way; they will earn a place at the table.  
  
###### What’s your best advice for the person who is trying to change how they use their technology to be more intentional?  

I have made it an unconscious habit to ask three questions when something doesn't feel right:  
  
1. What is your relationship to knowledge right now? (Are you even aware of what it is?)  
2. How are you being manipulated right now? (Are you okay with that?)  
3. What is your environment doing to you right now? (How is it shaping you?)   
  
If you ask those questions, you can't help but recognize when something is off, and you'll have the zest and perspective you need to do something about it.